{% extends 'profile/layouts/admin/admin_layout.html' %}

{% load static %}

{% block css %}
    <link rel="stylesheet" type="text/css" href="{% static 'profile/css/datatables/datatables.min.css' %}">
{% endblock css %}


{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Dokumen</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}


    <a href="{% url 'profile:admin_document_create' %}"> 
        <button type="button" class="btn btn-info mt-2 mb-4"><i class="bi bi-plus"></i> Tambah Dokumen</button>
    </a>

    <div class="card shadow mb-5">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-bold text-info">Dokumen Publikasi</h6>
            <div class="dropdown no-arrow">
                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                </a>
            </div>
        </div>
        <div class="card-body">
            <div class="table-responsive py-3">
                <table class="table table-striped table-bordered dt-responsive nowrap" width="100%" id="table-list">
                    <thead class="bg-info text-white">
                        <tr>
                            <th scope="col" class="text-center">#</th>
                            <th scope="col" class="text-center">Nama</th>
                            <th scope="col" class="text-center">Keterangan</th>
                            <th scope="col" class="text-center">File</th>
                            <th scope="col" class="text-center">Tanggal</th>
                            <th scope="col" class="text-center">Status</th>
                            <th scope="col" class="text-center">Aksi</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for document in documents %}
                            <tr>
                                <th>{{ forloop.counter }}</th>
                                <td>{{ document.nama }}</td>
                                <td>{{ document.keterangan | truncatewords:6 }}</td>
                                <td>
                                    <a href="{{ document.dokumen.url }}" target="_blank"><i class="bi bi-file-earmark"> File</i></a>
                                </td>
                                <td>{{ document.created_at }}</td>
                                <td class="text-white {% if document.deleted_at %}bg-danger{% else %}bg-success{% endif %}">
                                    {% if document.deleted_at %}Hidden{% else %}Published{% endif %}
                                </td>
                                <td class="text-center">
                                    <button href="#" class="btn btn-info btn-circle pass-data" 
                                        data-tooltip="tooltip" data-placement="top" title="Detail"
                                        data-toggle="modal" data-target="#modal-center"
                                        data-nama="{{ document.nama }}"
                                        data-keterangan="{{ document.keterangan }}"
                                        data-dokumen-url="{{ document.dokumen.url }}" 
                                        data-slug="{% url 'profile:admin_document_edit' slug=document.slug %}" 
                                        data-created-at="{{ document.created_at }}">
                                        <i class="bi bi-info"></i>
                                    </button>
                                    <a class="btn btn-info btn-circle" 
                                        href="{% url 'profile:admin_document_edit' slug=document.slug %}"
                                        data-toggle="tooltip" data-placement="top" title="Edit">
                                        <i class="bi bi-pencil"></i>
                                    </a>
                                    {% if document.deleted_at %}
                                        <button class="btn btn-success btn-circle" 
                                            onclick="restore_(`{{ document.nama }}`, '{{ document.slug }}', 'dokumen', 'Dokumen')"
                                            data-toggle="tooltip" data-placement="top" title="Tampilkan">
                                            <i class="bi bi-arrow-counterclockwise"></i>
                                        </button>
                                    {% else %}
                                    <button href="#" class="btn btn-danger btn-circle" 
                                        onclick="delete_('soft_delete', `{{ document.nama }}`, '{{ document.slug }}', 'dokumen', 'Dokumen')"
                                        data-toggle="tooltip" data-placement="top" title="Arsipkan">
                                        <i class="bi bi-archive"></i>
                                    </button>
                                    {% endif %}
                                </td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>

    {% if request.user.is_staff%}
        <div class="card shadow mb-5">
            <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                <h6 class="m-0 font-weight-bold text-info">Arsip Dokumen Publikasi</h6>
                <div class="dropdown no-arrow">
                    <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                    </a>
                </div>
            </div>
            <div class="card-body">
                <div class="table-responsive py-3">
                    <table class="table table-striped table-bordered dt-responsive nowrap" width="100%" id="table-archive">
                        <thead class="bg-info text-white">
                            <tr>
                                <th scope="col" class="text-center">#</th>
                                <th scope="col" class="text-center">Nama</th>
                                <th scope="col" class="text-center">Keterangan</th>
                                <th scope="col" class="text-center">File</th>
                                <th scope="col" class="text-center">Tanggal</th>
                                <th scope="col" class="text-center">Status</th>
                                <th scope="col" class="text-center">Aksi</th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for archive in archives %}
                                <tr>
                                    <th>{{ forloop.counter }}</th>
                                    <td>{{ archive.nama }}</td>
                                    <td>{{ archive.keterangan | truncatewords:6 }}</td>
                                    <td>
                                        <a href="{{ archive.dokumen.url }}" target="_blank"><i class="bi bi-file-earmark"> File</i></a>
                                    </td>
                                    <td>{{ archive.created_at }}</td>
                                    <td class="text-white {% if archive.deleted_at %}bg-danger{% else %}bg-success{% endif %}">
                                        {% if archive.deleted_at %}Hidden{% else %}Published{% endif %}
                                    </td>
                                    <td class="text-center">
                                        <button href="#" class="btn btn-info btn-circle pass-data" 
                                            data-tooltip="tooltip" data-placement="top" title="Detail"
                                            data-toggle="modal" data-target="#modal-center"
                                            data-nama="{{ archive.nama }}"
                                            data-keterangan="{{ archive.keterangan }}"
                                            data-dokumen-url="{{ archive.dokumen.url }}" 
                                            data-slug="{% url 'profile:admin_document_edit' slug=archive.slug %}" 
                                            data-created-at="{{ archive.created_at }}">
                                            <i class="bi bi-info"></i>
                                        </button>
                                        <button class="btn btn-success btn-circle" 
                                            onclick="restore_(`{{ archive.nama }}`, '{{ archive.slug }}', 'dokumen', 'Dokumen')"
                                            data-toggle="tooltip" data-placement="top" title="Pulihkan">
                                            <i class="bi bi-arrow-counterclockwise"></i>
                                        </button>
                                        <button href="#" class="btn btn-danger btn-circle" 
                                            onclick="delete_('permanent_delete', `{{ archive.nama }}`, '{{ archive.slug }}', 'dokumen', 'Dokumen')"
                                            data-toggle="tooltip" data-placement="top" title="Hapus Permanen">
                                            <i class="bi bi-trash"></i>
                                        </button>
                                    </td>
                                </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    {% endif %}
    
    <div class="modal fade" id="modal-center" tabindex="-1" role="dialog" aria-labelledby="modal-centerTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                <h5 class="m-0 font-weight-bold text-info" id="exampleModalLongTitle">Detail Dokumen</h5>
                <button type="button" class="close text-info" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                </div>
                <div class="modal-body">
                    <div class="text-right">
                        <a href="" id="detail-dokumen-url" target="_blank"> 
                            <button type="button" class="btn btn-success mt-2 mb-4"><i class="bi bi-download"></i> Download Dokumen</button>
                        </a>
                        <a href="" id="detail-slug" class="ml-2"> 
                            <button type="button" class="btn btn-info mt-2 mb-4"><i class="bi bi-pencil"></i> Edit</button>
                        </a>
                    </div>
                    <div class="form-group">
                        <label for="detail-nama">Nama</label>
                        <input type="text" class="form-control" id="detail-nama" disabled>
                    </div>
                    <div class="form-group">
                        <label for="detail-keterangan">Keterangan</label>
                        <textarea class="form-control" id="detail-keterangan" rows="3" disabled></textarea>
                    </div>
                    <div class="form-group">
                        <label for="detail-created-at">Tanggal</label>
                        <input type="text" class="form-control" id="detail-created-at" disabled>
                    </div>
                </div>
                <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}
    <script src="{% static 'profile/js/datatables/datatables.min.js' %}"></script>
    <script src="{% static 'profile/js/admin/admin-aksi.js' %}"></script>
    <script>
        $(document).ready( function () {
            $('[data-tooltip="tooltip"]').tooltip();
            $('#table-list').DataTable({
                responsive: true,
            });
            $('#table-archive').DataTable({
                responsive: true,
            });
        });
        $('.pass-data').click(function(){
            $('#detail-nama').val($(this).attr('data-nama'));
            $('#detail-keterangan').val($(this).attr('data-keterangan'));
            $('#detail-created-at').val($(this).attr('data-created-at'));
            $('#detail-dokumen-url').attr('href', $(this).attr('data-dokumen-url'));
            $('#detail-slug').attr('href', $(this).attr('data-slug'));
        });
    </script>
{% endblock scripts_bawah %}